Backward compatibility configuration

Ensuring upgrade compatibility across LiveCycle versions is of prime importance for Adobe and our customers relish that. This means if a feature works in a certain way in a release it will continue to do so.
One can configure Mobile Form to get the behavior of a feature in older versions. You can browse through http://localhost:8080/lc/system/console/configMgr and search for “LC Forms Configuration”. On clicking, it should expand like the following:

version

If anyone is upgrading the Mobile Form specifically from ES4 to ES4 SP1, then to make sure the upgrade compatibility one should select “LiveCycle ES4″ from the browser. In ES4 SP1, we changed the way we submit the form for details refer to Mobile Form Service Proxy post. If you want to use the older way of submission, you can select “LiveCycle ES4″ version behavior.

2 Responses to Backward compatibility configuration

  1. Tim Goodman says:

    Thanks for posting this. It should be noted that if not set, then your form may not render in Mobile Workspace – you get a message “Loading…” and a blank screen. Cancelling and reloading gives a message “Failed Loading”

Leave a Reply

Your email address will not be published. Required fields are marked *


+ seven = 8

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>